package com.leospa.main;

import java.util.Hashtable;

import javax.swing.JPanel;

import com.leospa.bean.Command_0;
import com.leospa.bean.Command_1;
import com.leospa.bean.Command_2;

public class Util {
	
	static Util instance;
	
	public static Util getUtilInstance(){
		if(instance == null){
			instance = new Util();
		}
		return instance;
	}
	
	Command_0 command_0;
	Command_1 command_1;
	Command_2 command_2;
	Hashtable<String, String> massageTimerHash = new Hashtable<String, String>();
	Hashtable<String, String> startTimerHash = new Hashtable<String, String>();
	int price;
	int time;
	Hashtable<String, Command_0> command_0_hash;
	String rf_id_card_number;
	public String getRf_id_card_number() {
		return rf_id_card_number;
	}
	public void setRf_id_card_number(String rf_id_card_number) {
		this.rf_id_card_number = rf_id_card_number;
	}
	public Command_0 getCommand_0() {
		return command_0;
	}
	public void setCommand_0(Command_0 command_0) {
		this.command_0 = command_0;
	}
	public Command_1 getCommand_1() {
		return command_1;
	}
	public void setCommand_1(Command_1 command_1) {
		this.command_1 = command_1;
	}
	public Hashtable<String, Command_0> getCommand_0_hash() {
		return command_0_hash;
	}
	public void setCommand_0_hash(Hashtable<String, Command_0> command_0_hash) {
		this.command_0_hash = command_0_hash;
	}
	public Command_2 getCommand_2() {
		return command_2;
	}
	public void setCommand_2(Command_2 command_2) {
		this.command_2 = command_2;
	}
	public int getPrice() {
		return price;
	}
	public void setPrice(int price) {
		this.price = price;
	}
	public int getTime() {
		return time;
	}
	public void setTime(int time) {
		this.time = time;
	}
	public Hashtable<String, String> getMassageTimerHash() {
		return massageTimerHash;
	}
	public void setMassageTimerHash(Hashtable<String, String> massageTimerHash) {
		this.massageTimerHash = massageTimerHash;
	}
	
	public Hashtable<String, String> getStartTimeHash() {
		return startTimerHash;
	}
	public void setStartTimerHash(Hashtable<String, String> startTimerHash) {
		this.startTimerHash = startTimerHash;
	}
}
